Loading...
Searching...
No Matches
IntervalTabulated2DFunction.hpp File Reference

Implements a function that depends on two variables. More...

`#include <opm/common/Exceptions.hpp>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <opm/material/common/MathToolbox.hpp>`
`#include <algorithm>`
`#include <cassert>`
`#include <limits>`
`#include <string>`
`#include <type_traits>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | Opm::IntervalTabulated2DFunction< Scalar >
| Implements a function that depends on two variables. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Implements a function that depends on two variables.

The function is sampled in regular intervals in both directions, i.e., the interpolation cells are rectangles. The table can be extrapolated in either direction.